// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.12.2
// source: reply.proto

package replygrpc

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type ReplyEmpty struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ReplyEmpty) Reset() {
	*x = ReplyEmpty{}
	if protoimpl.UnsafeEnabled {
		mi := &file_reply_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReplyEmpty) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReplyEmpty) ProtoMessage() {}

func (x *ReplyEmpty) ProtoReflect() protoreflect.Message {
	mi := &file_reply_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReplyEmpty.ProtoReflect.Descriptor instead.
func (*ReplyEmpty) Descriptor() ([]byte, []int) {
	return file_reply_proto_rawDescGZIP(), []int{0}
}

type CreateAnswer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestionID string  `protobuf:"bytes,1,opt,name=questionID,proto3" json:"questionID,omitempty"`
	Text       string  `protobuf:"bytes,2,opt,name=text,proto3" json:"text,omitempty"`
	Options    []int32 `protobuf:"varint,3,rep,packed,name=options,proto3" json:"options,omitempty"`
}

func (x *CreateAnswer) Reset() {
	*x = CreateAnswer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_reply_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateAnswer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateAnswer) ProtoMessage() {}

func (x *CreateAnswer) ProtoReflect() protoreflect.Message {
	mi := &file_reply_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateAnswer.ProtoReflect.Descriptor instead.
func (*CreateAnswer) Descriptor() ([]byte, []int) {
	return file_reply_proto_rawDescGZIP(), []int{1}
}

func (x *CreateAnswer) GetQuestionID() string {
	if x != nil {
		return x.QuestionID
	}
	return ""
}

func (x *CreateAnswer) GetText() string {
	if x != nil {
		return x.Text
	}
	return ""
}

func (x *CreateAnswer) GetOptions() []int32 {
	if x != nil {
		return x.Options
	}
	return nil
}

type GetAnswer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ID         string  `protobuf:"bytes,1,opt,name=ID,proto3" json:"ID,omitempty"`
	QuestionID string  `protobuf:"bytes,2,opt,name=questionID,proto3" json:"questionID,omitempty"`
	Text       string  `protobuf:"bytes,3,opt,name=text,proto3" json:"text,omitempty"`
	Options    []int32 `protobuf:"varint,4,rep,packed,name=options,proto3" json:"options,omitempty"`
}

func (x *GetAnswer) Reset() {
	*x = GetAnswer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_reply_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetAnswer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetAnswer) ProtoMessage() {}

func (x *GetAnswer) ProtoReflect() protoreflect.Message {
	mi := &file_reply_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetAnswer.ProtoReflect.Descriptor instead.
func (*GetAnswer) Descriptor() ([]byte, []int) {
	return file_reply_proto_rawDescGZIP(), []int{2}
}

func (x *GetAnswer) GetID() string {
	if x != nil {
		return x.ID
	}
	return ""
}

func (x *GetAnswer) GetQuestionID() string {
	if x != nil {
		return x.QuestionID
	}
	return ""
}

func (x *GetAnswer) GetText() string {
	if x != nil {
		return x.Text
	}
	return ""
}

func (x *GetAnswer) GetOptions() []int32 {
	if x != nil {
		return x.Options
	}
	return nil
}

type ReplyIDWrapper struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ID string `protobuf:"bytes,1,opt,name=ID,proto3" json:"ID,omitempty"`
}

func (x *ReplyIDWrapper) Reset() {
	*x = ReplyIDWrapper{}
	if protoimpl.UnsafeEnabled {
		mi := &file_reply_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReplyIDWrapper) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReplyIDWrapper) ProtoMessage() {}

func (x *ReplyIDWrapper) ProtoReflect() protoreflect.Message {
	mi := &file_reply_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReplyIDWrapper.ProtoReflect.Descriptor instead.
func (*ReplyIDWrapper) Descriptor() ([]byte, []int) {
	return file_reply_proto_rawDescGZIP(), []int{3}
}

func (x *ReplyIDWrapper) GetID() string {
	if x != nil {
		return x.ID
	}
	return ""
}

var File_reply_proto protoreflect.FileDescriptor

var file_reply_proto_rawDesc = []byte{
	0x0a, 0x0b, 0x72, 0x65, 0x70, 0x6c, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x0c, 0x0a,
	0x0a, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x5c, 0x0a, 0x0c, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x12, 0x1e, 0x0a, 0x0a, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0a, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x12, 0x12, 0x0a, 0x04, 0x74,
	0x65, 0x78, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x65, 0x78, 0x74, 0x12,
	0x18, 0x0a, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x05,
	0x52, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x69, 0x0a, 0x09, 0x47, 0x65, 0x74,
	0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x02, 0x49, 0x44, 0x12, 0x1e, 0x0a, 0x0a, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69,
	0x6f, 0x6e, 0x49, 0x44, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x65, 0x78, 0x74, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x65, 0x78, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x6f, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x05, 0x52, 0x07, 0x6f, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x22, 0x20, 0x0a, 0x0e, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x49, 0x44, 0x57,
	0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x02, 0x49, 0x44, 0x32, 0x83, 0x01, 0x0a, 0x05, 0x52, 0x65, 0x70, 0x6c, 0x79,
	0x12, 0x2a, 0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x0d, 0x2e, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x1a, 0x0f, 0x2e, 0x52, 0x65, 0x70, 0x6c,
	0x79, 0x49, 0x44, 0x57, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x22, 0x00, 0x12, 0x24, 0x0a, 0x03,
	0x47, 0x65, 0x74, 0x12, 0x0f, 0x2e, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x49, 0x44, 0x57, 0x72, 0x61,
	0x70, 0x70, 0x65, 0x72, 0x1a, 0x0a, 0x2e, 0x47, 0x65, 0x74, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72,
	0x22, 0x00, 0x12, 0x28, 0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x0f, 0x2e, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x49, 0x44, 0x57, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x1a, 0x0b, 0x2e,
	0x52, 0x65, 0x70, 0x6c, 0x79, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x42, 0x0d, 0x5a, 0x0b,
	0x2e, 0x3b, 0x72, 0x65, 0x70, 0x6c, 0x79, 0x67, 0x72, 0x70, 0x63, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_reply_proto_rawDescOnce sync.Once
	file_reply_proto_rawDescData = file_reply_proto_rawDesc
)

func file_reply_proto_rawDescGZIP() []byte {
	file_reply_proto_rawDescOnce.Do(func() {
		file_reply_proto_rawDescData = protoimpl.X.CompressGZIP(file_reply_proto_rawDescData)
	})
	return file_reply_proto_rawDescData
}

var file_reply_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_reply_proto_goTypes = []interface{}{
	(*ReplyEmpty)(nil),     // 0: ReplyEmpty
	(*CreateAnswer)(nil),   // 1: CreateAnswer
	(*GetAnswer)(nil),      // 2: GetAnswer
	(*ReplyIDWrapper)(nil), // 3: ReplyIDWrapper
}
var file_reply_proto_depIdxs = []int32{
	1, // 0: Reply.Create:input_type -> CreateAnswer
	3, // 1: Reply.Get:input_type -> ReplyIDWrapper
	3, // 2: Reply.Delete:input_type -> ReplyIDWrapper
	3, // 3: Reply.Create:output_type -> ReplyIDWrapper
	2, // 4: Reply.Get:output_type -> GetAnswer
	0, // 5: Reply.Delete:output_type -> ReplyEmpty
	3, // [3:6] is the sub-list for method output_type
	0, // [0:3] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_reply_proto_init() }
func file_reply_proto_init() {
	if File_reply_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_reply_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReplyEmpty); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_reply_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateAnswer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_reply_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetAnswer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_reply_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReplyIDWrapper); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_reply_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_reply_proto_goTypes,
		DependencyIndexes: file_reply_proto_depIdxs,
		MessageInfos:      file_reply_proto_msgTypes,
	}.Build()
	File_reply_proto = out.File
	file_reply_proto_rawDesc = nil
	file_reply_proto_goTypes = nil
	file_reply_proto_depIdxs = nil
}
